<app-loading *ngIf="loading"></app-loading>
<div class="content-header">
  <div class="button-approve">
    <mb-button
      mbButtonSize="VERY_LARGE"
      mbButtonAvailableStyle="DEFAULT"
      (click)="redirectListInfo()"
      mbButtonText="{{ 'modelOrganization.button.list' | translate }}"
    >
    </mb-button>
    <mb-button
      mbButtonSize="VERY_LARGE"
      mbButtonAvailableStyle="PRIMARY"
      (click)="submitForm()"
      mbButtonText="{{ 'modelOrganization.button.save' | translate }}"
    ></mb-button>
  </div>
</div>
<nz-card class="form">
  <label class="title">{{ 'modelOrganization.label.orgInfo' | translate }}</label>
  <div nz-row class="form-row">
    <div nz-col nzSpan="6" class="form-row__left">
      <div class="title-input">
        <p class="form-row__label">{{ 'modelOrganization.label.orgManagement' | translate }}</p>
      </div>
      <p>{{ infoOrganization?.orgParentName }}</p>
    </div>
    <div nz-col nzSpan="6" class="form-row__center">
      <div class="title-input">
        <p class="form-row__label">{{ 'modelOrganization.label.orgCode' | translate }}</p>
      </div>
      <p>{{ infoOrganization?.orgCode }}</p>
    </div>

    <div nz-col nzSpan="6" class="form-row__right">
      <div class="title-input">
        <p class="form-row__label">{{ 'modelOrganization.label.orgName' | translate }}</p>
      </div>
      <p>{{ infoOrganization?.orgName }}</p>
    </div>
    <div nz-col nzSpan="6" class="form-row__left">
      <div class="title-input">
        <p class="form-row__label">{{ 'modelOrganization.label.orgLevel' | translate }}</p>
      </div>
      <p>{{ infoOrganization?.orgLevel }}</p>
    </div>
  </div>
  <div nz-row class="form-row">
    <div nz-col nzSpan="6" class="form-row__center">
      <div class="title-input">
        <p class="form-row__label">{{ 'modelOrganization.label.branchType' | translate }}</p>
      </div>
      <p>{{ infoOrganization?.orgTypeName }}</p>
    </div>

    <div nz-col nzSpan="6" class="form-row__right">
      <div class="title-input">
        <p class="form-row__label">{{ 'modelOrganization.label.region' | translate }}</p>
      </div>
      <p>{{ infoOrganization?.regionName }}</p>
    </div>

    <div nz-col nzSpan="6" class="form-row__left">
      <div class="title-input">
        <p class="form-row__label">{{ 'modelOrganization.label.fromDate' | translate }}</p>
      </div>
      <p>{{ infoOrganization?.fromDate | date: 'dd/MM/yyyy' }}</p>
    </div>
    <div nz-col nzSpan="6" class="form-row__center">
      <div class="title-input">
        <p class="form-row__label">{{ 'modelOrganization.label.toDate' | translate }}</p>
      </div>
      <p>{{ infoOrganization?.toDate | date: 'dd/MM/yyyy' }}</p>
    </div>
  </div>

  <nz-divider></nz-divider>
  <form [formGroup]="infoOrgForm" nz-form>
    <label class="title"> {{ 'modelOrganization.label.infoDetail' | translate }}</label>
    <div nz-row class="form-row">
      <div nz-col nzSpan="6" class="form-row__left">
        <mb-input-text
          formControlName="address"
          mbType="default"
          [defaultInput]="true"
          mbLabelText="{{ 'modelOrganization.label.address' | translate }} "
        >
        </mb-input-text>
      </div>
      <div nz-col nzSpan="6" class="form-row__center">
        <mb-input-text
          formControlName="telephone"
          mbType="default"
          [mbMaxLength]="20"
          [defaultInput]="true"
          mbLabelText="{{ 'modelOrganization.label.phone' | translate }} "
        >
        </mb-input-text>
      </div>
      <div nz-col nzSpan="6" class="form-row__right">
        <mb-input-text
          formControlName="fax"
          mbType="default"
          [defaultInput]="true"
          mbLabelText="Fax"
        >
        </mb-input-text>
      </div>

      <div nz-col nzSpan="6" class="form-row__left">
        <mb-input-text
          formControlName="t24Code"
          mbType="default"
          [defaultInput]="true"
          mbLabelText="{{ 'modelOrganization.label.t24Code' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col nzSpan="6" class="form-row__center">
        <mb-select
          [mbDataSelects]="listSubregion"
          mbKeyLabel="lvaMean"
          mbKeyValue="lvaValue"
          mbLabelText="{{ 'modelOrganization.label.subregion' | translate }}"
          [mbOptionHeightPx]="58"
          formControlName="subRegion"
        ></mb-select>
      </div>
      <div nz-col nzSpan="6" class="form-row__right">
        <mb-date-picker
          [mbShowTime]="true"
          mbMode="time"
          mbFormat="dd/MM/yyyy"
          mbType="default"
          mbLabelText="{{ 'modelOrganization.label.establishDate' | translate }}"
          formControlName="initialDate"
        ></mb-date-picker>
      </div>

      <div nz-col nzSpan="6" class="form-row__left">
        <mb-input-text
          formControlName="fullName"
          mbType="default"
          [class]="{
            'form-row__input-selected': infoOrgForm.get('fullName').value,
            'form-row__input': !infoOrgForm.get('fullName').value
          }"
          [defaultInput]="true"
          (mbClick)="showModal($event)"
          mbLabelText="{{ 'modelOrganization.label.person' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col nzSpan="6" class="form-row__right">
        <div class="title-input">
          <p class="form-row__label">{{ 'modelOrganization.label.logoOrg' | translate }}</p>
        </div>
        <div class="form-row__logo">
          <div style="max-width: 9rem">
            <div *ngIf="fileName" class="form-row__fileName">
              <span>{{ fileName }}</span>
              <img (click)="deleteFile()" src="../../../../../assets/images/icon//delete.png" alt="" />
            </div>

            <div>
              <nz-form-item>
                <nz-form-control nzValidateStatus="">
                  <input
                    formControlName="unitLogo"
                    accept="image/x-png,image/gif,image/jpeg"
                    id="unitLogo"
                    class="form-row__img__input"
                    nz-input
                    style="display: none"
                    type="file"
                    (change)="readImageUrl($event)"
                    #iconFileInput
                    name="files"
                  />
                  <div class="form-row__button">
                    <mb-button
                      *ngIf="!fileName"
                      mbButtonSize="VERY_LARGE"
                      mbButtonAvailableStyle="PRIMARY"
                      (click)="iconFileInput.click()"
                      mbButtonText="{{ 'modelOrganization.button.image' | translate }}"
                    ></mb-button>
                  </div>
                  <ng-container *ngIf="infoOrgForm.get('unitLogo').errors?.maxSize">
                    <div class="error">
                      <em nz-icon nzType="close-circle" nzTheme="fill"></em>
                      <span>{{ 'modelOrganization.validate.maxSizeImage' | translate }}</span>
                    </div>
                  </ng-container>
                  <ng-container
                    *ngIf="
                      infoOrgForm.get('unitLogo').errors?.extension && !infoOrgForm.get('unitLogo').errors?.maxSize
                    "
                  >
                    <div class="error">
                      <em nz-icon nzType="close-circle" nzTheme="fill"></em>
                      <span>{{ 'modelOrganization.validate.formatFile' | translate }}</span>
                    </div>
                  </ng-container>
                  <ng-container *ngIf="imageValid">
                    <div class="error">
                      <em nz-icon nzType="close-circle" nzTheme="fill"></em>
                      <span>{{ 'modelOrganization.validate.formatFile' | translate }}</span>
                    </div>
                  </ng-container>
                </nz-form-control>
              </nz-form-item>
            </div>
          </div>
          <div *ngIf="(infoOrgForm.get('unitLogo').value && infoOrgForm.get('unitLogo').valid) || imagePath">
            <img class="form-row__img" [src]="imagePath" alt="" />
          </div>
          <span *ngIf="!fileName"> {{ 'modelOrganization.validate.imageLimit' | translate }}</span>
        </div>
      </div>
      <div nz-col nzSpan="6" class="form-row__left">
        <mb-input-text
          formControlName="orgAbbreviation"
          mbType="default"
          [mbMaxLength]="20"
          [defaultInput]="true"
          mbLabelText="{{ 'modelOrganization.label.orgAbbreviation' | translate }} "
        >
        </mb-input-text>
      </div>
      <div nz-col nzSpan="6" class="form-row__center">
        <mb-input-text
          formControlName="orgFullName"
          mbType="default"
          [defaultInput]="true"
          mbLabelText="{{ 'modelOrganization.label.orgFullName' | translate }} "
          [mbMaxLength]="200"
        >
        </mb-input-text>
      </div>
    </div>
  </form>
</nz-card>
<nz-modal
  [(nzVisible)]="isVisible"
  nzTitle="Người đại diện pháp lý"
  nzFooter=" "
  nzWidth="60%"
  (nzOnCancel)="handleCancel()"
>
  <div *nzModalContent>
    <app-deputy-search-custom-modal (deputySearchEvent)="getDeputyData($event)"></app-deputy-search-custom-modal>
  </div>
</nz-modal>
